Bug 1651204 - Please don't ship cockpit-tests
Summary: Please don't ship cockpit-tests
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: releng
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: 8.0
Assignee: Pavel Niahodkin
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 12:11 UTC by Martin Pitt
Modified: 2020-01-09 10:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Martin Pitt 2018-11-19 12:11:29 UTC
Description of problem:

cockpit-appstream errata [1] currently ships the "cockpit-tests" subpackage in AppStream. This contains a few extra Cockpit pages mostly for testing a few areas of the API that are hard to reach from "normal" pages, so it's mostly a debugging tool. It's also being used by the integration tests (which are not shipped).

So it's fairly harmless, but Jan Scotka pointed out that we usually don't ship this kind of package in RHEL.

RHEL 7 errata (example: [2]) filter them out in the product listing.

Should that filtering be done for RHEL 8 as well? Or should I drop it from the .spec when building on RHEL? (That would then cause an rpmdiff change that needs REL-ENG waiving).

Do we have a preferred method for this?

Thanks!

[1] https://errata.devel.redhat.com/advisory/36660/builds
[2] https://errata.devel.redhat.com/advisory/37605/builds

Comment 1 Martin Pitt 2018-11-19 12:12:18 UTC
Honza: FYI

Comment 2 Josh Boyer 2018-11-19 14:12:47 UTC
This was explicitly listed in comps.  I've submitted a CR to remove it.

Comment 3 Martin Pitt 2018-11-27 19:48:18 UTC
Ah, I was looking in comps-rhel-8.0.xml.in before.

I see it here:

https://code.engineering.redhat.com/gerrit/gitweb?p=comps.git;a=blob;f=comps-appstream-8.0.xml.in;#l164

This in fact also has some other noise, packages which don't exist any more (cockpit-integration-tests and cockpit-docker); cockpit-ostree also currently doesn't exist, but may come back at some point.

This is Josh's CR: https://code.engineering.redhat.com/gerrit/#/c/156253/
It was merged, and current nightlies don't have it any more. Thanks!


Note You need to log in before you can comment on or make changes to this bug.